# Copyright 2010-2011 Canonical Ltd.  This software is licensed under the
# GNU Affero General Public License version 3 (see the file LICENSE).

# Initialize our paths.
import sys
sys.path.insert(0, "/srv/resultstracker.ubuntu.com/production/build/parts/scripts")

# Delete the site module from sys instead of reloading it
# because modules are chained together by their imports
if "site" in sys.modules:
    del sys.modules["site"]
import site

import os
os.environ.setdefault("LPRESULTS_TRACKER_SETTINGS", "/srv/resultstracker.ubuntu.com/production/configs/production/settings.conf")

from lpresults.tracker.wsgi import WSGIHandler

application = WSGIHandler()
